Skip to navigation

Get TSP User Information

View as Markdown

GET /restapi/{apiVersion}/signature/userinfo

This call returns signer information, as well as the sending Docusign account ID. There are no required or optional request body parameters (simple GET).

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See Authentication
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to application/json.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Response Information

If successful, this returns userInfoResponse. The table below provides descriptions of the information in the response.

NameTypeDescription
languageStringLanguage code information for the user. This uses the ISO language code plus and region subtag. Examples: en-US for English – US, pt-BR for Portuguese – Brazil, fr-FR for French - France, and fr-CA for French – Canada.
user.displayNameStringDisplay name for the signer.
user.emailStringEmail address for the signer.
user.CellPhoneNumberStringCell phone number for the signer.
user.userIdGUIDUser ID for the signer.
user.credentialsArray of sender provided user credentials.
user.credentials.typeStringType of sender provided credential for the user. Possible values are:
  • access_code: a one-time access code provided by the sender.
  • sms: an SMS number provided by the sender.
user.credentials.valueStringType of sender provided credential for the user. Possible values are:
  • access_code: a one-time access code provided by the sender.
  • sms: an SMS number provided by the sender.
sender.companyNameStringDisplay name for the sending Docusign account (not the sender, but the account he belongs to). Do not use to register them, only to troubleshoot.
sender.accountIdGuidStringUnique identifier for the sending Docusign account. You can use it to register your customer on the TSP side.
envelopeIdStringDocusign envelope ID
isInteractiveLoginBooleanBoolean indicating whether the user is logged in Docusign while they sign or not.
Example response layout
{
"language": "string",
"user": {
"displayName": "string",
"email": "string",
"userId": "guid",
"credentials": [
{
"type": "string",
"value": "string"
}
]
},
"sender": {
"companyName": "string",
"accountIdGuid": "string"
},
"envelopeId": "string",
"isInteractiveLogin": "bool"
}